Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

Controls access to Domain Name System (DNS) servers on the network.

The XML encoding of a instance is defined below in EBNF format. The following conventions are used:

All non-literals in the grammar below are shown in normal type.

All literals are in bold font.

The following meta-language symbols are used:

'*' represents a meta-language symbol suffixing an expression that can appear zero or more times.

'?' represents a meta-language symbol suffixing an expression that can appear zero or one time.

'+' represents a meta-language symbol suffixing an expression that can appear one or more times.

'(',')' is used to group literals, non-literals or a mixture of literals and non-literals.

'|' denotes an exclusive disjunction between two expressions.

'::= ' denotes a production rule where a left hand non-literal is replaced by a right hand expression containing literals, non-literals or both.

BuildVersion refers to the build version of the shipping CLI. This is a dotted build number such as '2412.0' .

ECMAPubKeyToken ::=

DnsPermissionXML ::=

BuildVersion

ECMAPubKeyToken

(

)

|

- Constructor

  A value.

  Constructs and initializes a new instance of the class with the specified value.

  This constructor creates either fully restricted () or access to DNS information.

  is not a valid value.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission

  Returns a new object containing the same values as the current instance.

  A new instance containing the same values as the current instance.

  The object returned by this method represents the same access to DNS information as the current instance.

  This method overrides and is implemented to support the interface.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A instance containing the XML encoding to use to reconstruct the state of a object.

  Reconstructs the state of a object using the specified XML encoding.

  The state of the current instance is changed to the state encoded in .

  For the XML encoding for this class, see the class page.

  This method overrides .

  is

  is not a element.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission `` A instance to intersect with the current instance.

  Returns a new object that is the intersection of the current instance and the specified object.

  A new instance that represents the intersection of the current instance and . If the intersection is empty, returns . If the current instance is unrestricted, returns a copy of . If is unrestricted, returns a copy of the current instance.

  The intersection of two permissions is a permission that secures the resources and operations secured by both permissions. Specifically, it represents the minimum permission such that any demand that passes both permissions will also pass their intersection.

  This method overrides and is implemented to support the interface.

  is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A instance that is to be tested for the subset relationship.

  Determines whether the current instance is a subset of the specified object.

  if the current instance is a subset of ; otherwise,. If the current instance is unrestricted, and is not, returns . If is unrestricted, returns . If is , returns .

  The current instance is a subset of if the current instance specifies a set of accesses to resources that is wholly contained by . For example, a permission that represents read access to a file is a subset of a permission that represents read and write access to the file.

  This method overrides and is implemented to support the interface.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Security.SecurityElement

  Returns the XML encoding of the current instance.

  A containing the XML encoding of the state of the current instance.

  For the XML encoding for this class, see the class page.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission `` A instance to combine with the current instance.

  Returns a new object that is the union of the current instance and the specified object.

  A new instance that represents the union of the current instance and . If the current instance or is unrestricted, returns a instance that is unrestricted.

  The result of a call to is a permission that represents all of the access to permissions represented by the current instance as well as the permissions represented by . Any demand that passes either the current instance or passes their union.

  This method overrides and is implemented to support the interface.

  is . 0 1.0.5000.0 2.0.0.0
0